package cn.pluss.platform.mapper;

import cn.pluss.platform.entity.RoleUserInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface RoleUserInfoMapper extends BaseMapper<RoleUserInfo> {

    RoleUserInfo queryRoleUserInfo(RoleUserInfo roleUserInfo);

    List<RoleUserInfo> queryRoleUserInfoList(RoleUserInfo roleUserInfo);

    void saveRoleUserInfo(RoleUserInfo roleUserInfo);

    void updateRoleUserInfo(RoleUserInfo roleUserInfo);

    void deleteRoleUserInfo(RoleUserInfo roleUserInfo);

    List<RoleUserInfo> queryRoleUserInfoPage(Map map);

    Integer queryRoleUserInfoPageCount(Map map);

    void saveRoleUserInfoBatch(List<RoleUserInfo>  roleUserInfoList);
}

